import Setting from '../setting'

const config = {
  baseUrl: Setting.baseSeting.baseUrl, // 请求的本域名
  method: '', // POST/GET
  dataType: 'json', // 设置为json，返回后会对数据进行一次JSON.parse()
  showLoading: true, // 是否显示请求中的loading
  loadingText: '努力加载中~', // 请求loading中的文字提示
  loadingTime: 800, // 在此时间内，请求还没回来的话，就显示加载中动画，单位ms
  originalData: true, // 是否在拦截器中返回服务端的原始数据
  loadingMask: true, // 展示loading的时候，是否给一个透明的蒙层，防止触摸穿透
  // 配置请求头信息
  header: {
    'content-type': 'application/json;charset=UTF-8'
  }
}
const install = (Vue) => {
  // 此为自定义配置参数，具体参数见上方说明
  Vue.config.globalProperties.$u.http.setConfig({ ...config })
}

export default {
  install
}
