import { SmsTag } from '@/request/api'

// 获取当前的Login
const getLogin = () => new Promise((resolve, reject) => {
  uni.login({
    provider: 'weixin',
    success (res) {
      if (res.code) {
        resolve(1)
      } else {
        uni.showModal({
          title: '提示',
          content: '获取用户登录态失败,错误信息code错误！'
        })
      }
    }
  })
})

// 获取登录数据
const getToken = () => new Promise((resolve, reject) => {
  if (uni.getStorageSync('token')) {
    resolve(uni.getStorageSync('token'))
    return
  }
  // const code = await getLogin()

  SmsTag({
    switchType: 1
  }).then((res) => {
    uni.setStorageSync('token', 11111)
    resolve(111111)
  }).catch((err) => {
    reject(err)
  })
})

/**
 * 获取用户数据
 * 有缓存，取缓存，否则请求接口设置数据
 * @returns {Promise<any>}
 */
const getUserIdData = () => new Promise((resolve, reject) => {

  if (uni.getStorageSync('userId')) {
    resolve({
      userId: uni.getStorageSync('userId')
    })
    return
  }
  SmsTag({
    switchType: 1
  }).then((res) => {
    uni.setStorageSync('userId', 11111)
    resolve({
      userId: uni.getStorageSync('userId')
    })
  }).catch((err) => {
    reject(err)
  })
})

export {
  getToken,
  getUserIdData
}
